/*
 * RubricaParser.java
 *
 * Created on December 28, 2002, 8:05 PM
 */

package rubrica.parser;

import rubricapkg.Util;

import rubricapkg.dati.*; 


/**
 *
 * Analizza una data, che deve essere nel formato g/m/a.
 * <P>Usa le classi di Java per la data.
 *
 * @author  brandizi
 */
public class DataParser implements Parser
{
  
  /** 
   * Analizza una data. 
   *  
   * <P>Ritorna un oggetto Data.
   *
   */ 
  public Object parse ( String str ) throws ParserException 
  {
    Data data = null;
    
    // Analizza la data, usando la API Java 
    
    SimpleDateFormat df = new SimpleDateFormat ( "dd/MM/yyyy" );
    Date jdata; 
    
    try {
      format.setLenient ( false );
      jdata = format.parse ( str );
    }
    catch ( ParseException e ) {
      // e.printStackTrace();
      throw new ParserException ( "Data errata" );
    }
    
    data = new Data ( jdata.getDay (), jdata.getMonth (), jdata.getYear () );
    return data;   
    
  }
  
}
